/**
 * Generic IPC Error type
 */
 export class IpcError extends Error {
	constructor(...args: any[]) {
		super(...args);
		Object.setPrototypeOf(this, IpcError.prototype);
	}
}

/**
 * IPC connection error type
 */
export class IpcConnectionError extends IpcError {
	constructor(...args: any[]) {
		super(...args);
		Object.setPrototypeOf(this, IpcConnectionError.prototype);
	}
}

/**
 * IPC timeout error type
 */
export class IpcTimeoutError extends IpcError {
	constructor(...args: any[]) {
		super(...args);
		Object.setPrototypeOf(this, IpcTimeoutError.prototype);
	}
}
